# SAE 1.01 - Implémentation d'un besoin client

## Centre aquatique

**Antoine** : Ouverture.c, Sauvegarde.c, Menu.c, main.c, Global.c, GestionAdherents.c, Fonctions.h, Affichage.c  
**Ayour** : Affichage.c, Menu.c, Fonctions.h, Global.c, main.c, GestionAdherents.c  
**Kyllian** :  Fonctions.h, GestionPoints.c, Global.c, main.c, Menu.c, GestionAdherents.c  

### Administration

- Ajouter un adhérent
- Supprimer un adhérent
- Modifier l'age d'un adhérent via le n° de carte
- Afficher tous les adhérents
- Alimenter une carte en points
- Activer/Désactiver une carte (déclaration de perte d'une carte, sanction suite à un mauvais comportement, carte retrouvée...)
- Afficher les infos d'un adhérent
- Afficher le nombre d'entrées par activité dans la journée
- Afficher le nombre d'adhérents
- ...

### Priorité de travail

1. Menu
2. Chargement
3. Affichage d'un adhérent
4. Affichage de tous les adhérents
5. Affichage du nombre d'entrées dans la journée
6. Affichage du nombre d'entrées depuis toujours
7. Afficher le nombre d'adhérents
8. Menu
9. Gestion Menu (Global)
10. Recherche d'un client
11. Ajout d'un client
12. Modification de l'âge d'un client
13. Supprimer un client
14. Ajout de points ==> carte devient Active entre 0 et 20 rien, entre 20 et 50 5%, entre 50 et 100 10%, plus 15%
15. Modification de l'activation de la carte ==> Perte, sanction, carte retrouvée
16. Activité faite ==> Perte de points, ajout d'un au nombre d'activités du jour depuis création
17. Sauvegarde

### Cahier des charges

Il peut s'avérer difficile de gérer les différents clients d'un complexe aquatique. C'est pour cela que nous avons créé cette application, qui permet de gérer les données des clients de Aquavenue.  
L'objectif est de faciliter la gestion des points et des données des clients.
Il existe plusieurs activités :

- Piscine : 0 points (accès libre)
- Cours de natation : 10 points
- Cours de gymnastique aquatique : 12 points
- Option accessibilité : 0 points
- Aquafit : 9 points
- Aquakid et aquaplouf : 5 points
- Vagues : 15 points
- Aquabike : 20 points
- Aquafamily : 35 points

Lorsqu'un client décide de faire une activité, il est discrédité du nombre de points correspondants.  
A chaque entrée, le client peut choisir plusieurs activités. Sa carte se fait alors débiter de la somme des points des différentes activités choisies.

### Fonctionnalités

- Membres : chaque membre bénéficie d'une carte qui leur permet d'accéder aux différentes activités et est identifié par son numéro de carte. On stocke des informations comme son âge, si sa carte est active ou pas et le nombre de points sur sa carte.
- On peut ajouter et supprimer des clients.
- Il est possible d'ajouter des points sur la carte. Chaque point coûte 1 euro.
- Il est possible de désactiver la carte d'un client, par exemple pour cause de sanction suite à un mauvais comportement, de vol ou de perte. On peut aussi la réactiver s'il la retrouve ou que sa sanction est levée.
- On peut afficher les informations d'un seul client ou de tous les clients.
- A chaque fois qu'un client fait une activité, le nombre de fois où une activité à été pratiquée dans la journée augmente de 1. On peut afficher ce nombre. Il est impossible de pratiquer une activité plus d'une fois par jour.
